---
title: DeviceLightEvent
slug: Web/API/DeviceLightEvent
tags:
  - API
  - Ambient Light Events
  - Obsolete
  - Interface
  - NeedsBetterSpecLink
  - NeedsMarkupWork
---
<div>{{obsolete_header}}{{apiref("Ambient Light Events")}}{{SeeCompatTable}}</div>

<p>The <code>DeviceLightEvent</code> provides web developers with information from photo sensors or similiar detectors about ambient light levels near the device. For example this may be useful to adjust the screen's brightness based on the current ambient light level in order to save energy or provide better readability.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DeviceLightEvent.value")}}</dt>
 <dd>The level of the ambient light in {{interwiki("wikipedia", "lux")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">window.addEventListener('devicelight', function(event) {
  console.log(event.value);
});</pre>

<h2 id="Specifications">Specifications</h2>

<p>No specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceLightEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("devicelight")}}</li>
 <li><a href="/en-US/docs/WebAPI/Using_Light_Events">Using Light Events</a></li>
</ul>
